VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Mbox Converter"
   ClientHeight    =   2745
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4290
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2745
   ScaleWidth      =   4290
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdQuit 
      Caption         =   "Quit"
      BeginProperty Font 
         Name            =   "Microsoft Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2760
      TabIndex        =   6
      Top             =   2280
      Width           =   1335
   End
   Begin VB.CommandButton cmdConvert 
      Caption         =   "Convert"
      BeginProperty Font 
         Name            =   "Microsoft Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   5
      Top             =   2280
      Width           =   1335
   End
   Begin VB.TextBox txtOutDir 
      BeginProperty Font 
         Name            =   "Microsoft Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   120
      TabIndex        =   1
      Top             =   1680
      Width           =   4095
   End
   Begin VB.TextBox txtInfile 
      BeginProperty Font 
         Name            =   "Microsoft Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   120
      TabIndex        =   0
      Top             =   840
      Width           =   4095
   End
   Begin VB.Label Label3 
      Caption         =   "Output directory:"
      BeginProperty Font 
         Name            =   "Microsoft Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   1440
      Width           =   3135
   End
   Begin VB.Label Label2 
      Caption         =   "Input file:"
      BeginProperty Font 
         Name            =   "Microsoft Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   600
      Width           =   2415
   End
   Begin VB.Label Label1 
      Caption         =   "Converts mbox format to mdir format that MailEnable uses."
      BeginProperty Font 
         Name            =   "Microsoft Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   4095
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdConvert_Click()

    'converts mbox form to maildir format
    
    Dim sInFile As String
    Dim sOutfile As String
    Dim oFSO As Object          'New FileSystemObject
    Dim oFile As Object         'TextStream
    Dim oOutFile As Object      'TextStream
    Dim sTemp As String
    Dim sOutDir As String
    Dim sErr As String
    
    On Error GoTo errHandler
    
    Screen.MousePointer = vbHourglass
    
    sErr = "Could not creating the scripting object"
    Set oFSO = CreateObject("Scripting.FileSystemObject")
    sErr = ""
    
    'loops through and find From: at the start and will copy into a new file
    sInFile = txtInfile.Text
    
    If Right$(txtOutDir.Text, 1) <> "\" Then
        sOutDir = txtOutDir.Text & "\"
    Else
        sOutDir = txtOutDir.Text
    End If
    
    'get the file we need to import
    If oFSO.FileExists(sInFile) Then
        'can do the copy
        Set oFile = oFSO.OpenTextFile(sInFile, 1, False)
        
        While Not oFile.AtEndOfStream
            sTemp = oFile.ReadLine
            If Left$(sTemp, 6) = "From <" Then
                'new out file
                If Not oOutFile Is Nothing Then oOutFile.Close
                sOutfile = sOutDir & GetGUID() & ".MAI"
                Set oOutFile = oFSO.OpenTextFile(sOutfile, 8, True)
            Else
                If Not oOutFile Is Nothing Then
                    oOutFile.WriteLine sTemp
                End If
            End If
        Wend
        
        If Not oOutFile Is Nothing Then oOutFile.Close
    Else
        MsgBox "Input file does not exist", vbCritical, "Error"
    End If
    
    Screen.MousePointer = vbDefault
    
    Exit Sub
    
errHandler:
    Screen.MousePointer = vbDefault
    MsgBox "Error:" & sErr & ":" & Err.Description, vbCritical, "Error"
End Sub

Private Sub cmdQuit_Click()

    Unload Me
    
End Sub

